Subject: Re: bug#12937: 24.2; Fontification performed in 'jit-lock-defer-time' in any case (don't wait while Emacs become really idle).

From: Stefan Kangas <[email-masked]>
Date: Fri, 17 Apr 2020 12:24:07 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>> I don't see that.  I'm not sure how you tried, it but I did
>>
>>   src/emacs -Q --eval '(setq jit-lock-defer-time 0.01)' src/xdisp.c
>>
>> and scrolling with page-down indeed is jerky and I see that the buffer
>> is getting fontified (at least occasionally).  But if I try again with
>>
>>   src/emacs -Q --eval '(setq jit-lock-defer-time 0.1)' src/xdisp.c
>>
>> then the scrolling is fast&smooth and it only gets fontified when
>> I stop scrolling.
>
> I tried this in Emacs 27 (on a pretty fast laptop), and I got no
> jerkiness when holding <down> (and things are fontified as I scroll).  I
> also tried 0.001.
>
> So is this still a problem?

More information was requested, but none was given within 6 months, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas